Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces
Interface TreeNode

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  ResourceTreeNode

All Known Implementing Classes:
  SimpleResourceTreeNode, SimpleTreeNode

public interface TreeNode
extends Serializable

Information about a specific node in the tree-browser

Version:
  $Revision: 1.4 $

  Revisions:

  14 decembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `TreeInfo`

Method Summary
`TreeAction` | `getAction()`
`String` | `getDescription()`
`String` | `getIcon()`
`TreeNodeMenuEntry[]` | `getMenuEntries()`
`String` | `getName()`
`ResourceTreeNode[]` | `getNodeManagableResources()`
`TreeNode[]` | `getSubNodes()`
`boolean` | `isMasterNode()` indicates if, in the presence of several nodes fighting for the same ResourceTreeNode in mode INVISIBLE_IF_SUBNODE_EXISTS, this node is master and other nodes (if any) will go as sub-nodes of this one

Method Detail

### getName

    public String getName()

### getDescription

    public String getDescription()

### getIcon

    public String getIcon()

### getAction

    public TreeAction getAction()

### getMenuEntries

    public TreeNodeMenuEntry[] getMenuEntries()

### getSubNodes

    public TreeNode[] getSubNodes()

### getNodeManagableResources

    public ResourceTreeNode[] getNodeManagableResources()

### isMasterNode

    public boolean isMasterNode()

  indicates if, in the presence of several nodes fighting for the same ResourceTreeNode in mode INVISIBLE_IF_SUBNODE_EXISTS, this node is master and other nodes (if any) will go as sub-nodes of this one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.